


function loadGraphic(name, cb) {
  var url = 'graphics/' + name + '.png';
  var image = new Image();
  image.src = url;
  image.onload = function() {
    cb(image);
  };
}

var names = [
  'stone',
  'brick',
  'pipe',
  'monster',
  'gnome1',
  'gnome2',
  'gnome3',
  'player1',
  'player2',
  'player3',
  'player4',
  'player5',
  'bigblock',
  'wizard1',
  'wizard2',
  'wizard3',
  'shot1',
  'shot2',
  'boss',
  'target',
  'platform',
  'pillar',
  'smoke',
  'upper',
  'upper1',
  'background',
  'mound',
  'freedom',
  'thanks',
  'heart',
  'heart-off',
  'heart-half',
  'gameover'
];

var gfx = {};

function loadGraphics(cb) {

  var n = names.length;

  names.forEach(function(name) {
    loadGraphic(name, function(image) {
      gfx[name] = image;
      n --;
      if (n == 0)
        cb();
    });
  });
}
